Subject: Re: bug#74145: 31.0.50; Default lexical-binding to t

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Nov 2024 09:07:33 +0200

> Cc: [email-masked]
> Date: Thu, 31 Oct 2024 16:57:57 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I believe the time has come to change the default dialect.
> I attached a suggested patch to do that.

Thanks, but this kind of change cannot be discussed here.  Please
start a discussion on emacs-devel, and please include in your
suggestion the description of the effects of this change on various
parts of Emacs and third-party package.  We need to give the community
ample time and opportunity to discuss those effects and express
opinions, before we install something like that.  In particular, any
objections should be taken very seriously, and perhaps some follow-up
measures should be included in the changeset to make the transition
smoother and easier.